Bug 1100323 - Review Request: log4j12 - Java logging package
Summary: Review Request: log4j12 - Java logging package
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert Rati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: bigdata-review
TreeView+ depends on / blocked
 
Reported: 2014-05-22 14:24 UTC by gil cattaneo
Modified: 2014-05-28 06:37 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-05-27 15:01:28 UTC
rrati: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2014-05-22 14:24:20 UTC
Spec URL: http://gil.fedorapeople.org/log4j12.spec
SRPM URL: http://gil.fedorapeople.org/log4j12-1.2.17-1.fc19.src.rpm
Description:
Log4j is a tool to help the programmer output log statements to a
variety of output targets.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6875992

Comment 1 Robert Rati 2014-05-22 16:31:08 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable


Issues:
=======
- Doesn't work as a compat package.  log4j:log4j:1.2.17 won't resolve to this
  jar.  I suggest adding %{version} to the mvn_compat_version line in the
  spec.  Additionally, is the 12 in the mvn_compat_version needed?


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[!]: Package functions as described.

Resolution for log4j:log4j:1.2.17 won't work.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.

Tests are run as part of the build

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: log4j12-1.2.17-1.fc21.noarch.rpm
          log4j12-javadoc-1.2.17-1.fc21.noarch.rpm
          log4j12-1.2.17-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint log4j12-javadoc log4j12
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
log4j12-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

log4j12 (rpmlib, GLIBC filtered):
    /bin/sh
    java-headless
    jpackage-utils
    mvn(javax.mail:mail)
    mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)



Provides
--------
log4j12-javadoc:
    log4j12-javadoc

log4j12:
    log4j12
    mvn(log4j:log4j:12)
    osgi(org.apache.log4j)



Source checksums
----------------
https://github.com/apache/log4j/archive/v1_2_17.tar.gz :
  CHECKSUM(SHA256) this package     : 019f6a068a037126bf9f04d60ba9521378ebd7e371843979872b77cda485131b
  CHECKSUM(SHA256) upstream package : 019f6a068a037126bf9f04d60ba9521378ebd7e371843979872b77cda485131b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1100323
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 gil cattaneo 2014-05-22 17:05:53 UTC
(In reply to Robert Rati from comment #1)

> Issues:
> =======
> - Doesn't work as a compat package.  log4j:log4j:1.2.17 won't resolve to this
>   jar.  I suggest adding %{version} to the mvn_compat_version line in the
>   spec.  Additionally, is the 12 in the mvn_compat_version needed?

maybe, you should use (like for hsqldb1) log4j:log4j:12
now change 
%mvn_file %mvn_file log4j:log4j %{name}
in
%mvn_file log4j:log4j log4j

Spec URL: http://gil.fedorapeople.org/log4j12.spec
SRPM URL: http://gil.fedorapeople.org/log4j12-1.2.17-1.fc19.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6877145

Comment 4 Robert Rati 2014-05-22 19:07:19 UTC
SRPM doesn't exist.  Please fix this and I can approve

Comment 5 gil cattaneo 2014-05-22 19:18:26 UTC
Sorry!, done.

Spec URL: http://gil.fedorapeople.org/log4j12.spec
SRPM URL: http://gil.fedorapeople.org/log4j12-1.2.17-2.fc19.src.rpm

Comment 6 gil cattaneo 2014-05-22 19:26:58 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6877790

Comment 7 Robert Rati 2014-05-22 22:19:25 UTC
APPROVED

Comment 8 gil cattaneo 2014-05-23 00:37:06 UTC
Thanks!
New Package SCM Request
=======================
Package Name: log4j12
Short Description: Java logging package
Owners: gil
InitialCC: java-sig

Comment 9 Gwyn Ciesla 2014-05-27 13:15:17 UTC
Git done (by process-git-requests).

Comment 10 Gwyn Ciesla 2014-05-27 13:22:16 UTC
Git done (by process-git-requests).

Comment 11 gil cattaneo 2014-05-27 15:01:28 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6896525


Note You need to log in before you can comment on or make changes to this bug.